Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class CMSDocument

    java.lang.Object
      |
      +--djbuch.kapitel_13.DJDocument
            |
            +--djbuch.kapitel_13.CMSDocument

public class CMSDocument
extends DJDocument

Author:
  Thomas Ekert

Method Summary
`static CMSDocument` | `getInstance(Document initialDoc)`
`java.lang.String` | `getTitle()`
`boolean` | `isActive()`
`void` | `setActive(boolean flag)`
`Item` | `setTitle(java.lang.String t)`

Methods inherited from class djbuch.kapitel_13.DJDocument
`appendItemValue, appendItemValue, appendItemValue, appendItemValue, closeMIMEEntities, closeMIMEEntities, closeMIMEEntities, computeWithForm, copyAllItems, copyItem, copyItem, copyToDatabase, createMIMEEntity, createMIMEEntity, createReplyMessage, createRichTextItem, encrypt, generateXML, generateXML, generateXML, getAttachment, getAuthors, getColumnValues, getCreated, getDoc, getEmbeddedObjects, getEncryptionKeys, getFirstItem, getFolderReferences, getFTSearchScore, getHttpURL, getItems, getItemValue, getItemValueCustomData, getItemValueCustomData, getItemValueCustomDataBytes, getItemValueDateTimeArray, getItemValueDouble, getItemValueInteger, getItemValueString, getKey, getLastAccessed, getLastModified, getLockHolders, getMIMEEntity, getMIMEEntity, getNameOfProfile, getNoteID, getNotesURL, getParentDatabase, getParentDocumentUNID, getParentView, getReceivedItemText, getResponses, getSigner, getSize, getUniversalID, getURL, getVerifier, hasEmbedded, hasItem, isDeleted, isEncrypted, isEncryptOnSend, isNewNote, isProfile, isResponse, isSaveMessageOnSend, isSentByAgent, isSigned, isSignOnSend, isValid, lock, lock, lock, lock, lock, lock, lockProvisional, lockProvisional, lockProvisional, makeResponse, putInFolder, putInFolder, recycle, recycle, remove, removeFromFolder, removeItem, removePermanently, renderToRTItem, replaceItemValue, replaceItemValueCustomData, replaceItemValueCustomData, replaceItemValueCustomDataBytes, save, save, save, save, send, send, send, send, send, send, setDoc, setEncryptionKeys, setEncryptOnSend, setSaveMessageOnSend, setSignOnSend, setUniversalID, sign, unlock`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CMSDocument getInstance(Document initialDoc)

### isActive

    public boolean isActive()
                     throws NotesException

    `NotesException`

### setActive

    public void setActive(boolean flag)
                   throws NotesException

    `NotesException`

### getTitle

    public java.lang.String getTitle()
                              throws NotesException

    `NotesException`

### setTitle

    public Item setTitle(java.lang.String t)
                  throws NotesException

    `NotesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD